Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class ProgressListenerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.commons.fileupload.FileUploadTestCase
                  org.apache.commons.fileupload.ProgressListenerTest

All Implemented Interfaces:
  junit.framework.Test

    public class ProgressListenerTest

extends FileUploadTestCase

Tests the progress listener.

Field Summary

Fields inherited from class org.apache.commons.fileupload.FileUploadTestCase
`CONTENT_TYPE`

Constructor Summary
`ProgressListenerTest()`

Method Summary
`void` | `testProgressListener()` Parse a very long file upload by using a progress listener.

Methods inherited from class org.apache.commons.fileupload.FileUploadTestCase
`parseUpload, parseUpload, parseUpload`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgressListenerTest

    public ProgressListenerTest()

Method Detail

### testProgressListener

    public void testProgressListener()
                              throws java.lang.Exception

  Parse a very long file upload by using a progress listener.

  Throws:
    `java.lang.Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.